package com.ruoyi.ss.balance.service.impl;

import java.math.BigDecimal;
import java.util.List;

import com.ruoyi.ss.balance.domain.UserBalance;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.ss.balance.mapper.UserBalanceMapper;
import com.ruoyi.ss.balance.domain.UserBalanceVO;
import com.ruoyi.ss.balance.domain.UserBalanceQuery;
import com.ruoyi.ss.balance.service.IUserBalanceService;

/**
 * 用户余额Service业务层处理
 *
 * @author qzz
 * @date 2024-11-26
 */
@Service
public class UserBalanceServiceImpl implements IUserBalanceService
{
    @Autowired
    private UserBalanceMapper eUserBalanceMapper;

    /**
     * 查询用户余额
     *
     * @param balanceId 用户余额主键
     * @return 用户余额
     */
    @Override
    public UserBalanceVO selectEUserBalanceByBalanceId(Long balanceId)
    {
        return eUserBalanceMapper.selectEUserBalanceByBalanceId(balanceId);
    }

    /**
     * 查询用户余额列表
     *
     * @param eUserBalance 用户余额
     * @return 用户余额
     */
    @Override
    public List<UserBalanceVO> selectEUserBalanceList(UserBalanceQuery eUserBalance)
    {
        return eUserBalanceMapper.selectEUserBalanceList(eUserBalance);
    }

    /**
     * 查询用户余额
     *
     * @param userBalanceQuery 用户余额
     * @return 用户余额
     */
    @Override
    public BigDecimal selectUserBalance(UserBalanceQuery userBalanceQuery) {

        return eUserBalanceMapper.selectUserBalance(userBalanceQuery);
    }

    /**
     * 新增用户余额
     *
     * @param eUserBalance 用户余额
     * @return 结果
     */
    @Override
    public int insertEUserBalance(UserBalance eUserBalance)
    {
        return eUserBalanceMapper.insertEUserBalance(eUserBalance);
    }

    /**
     * 修改用户余额
     *
     * @param eUserBalance 用户余额
     * @return 结果
     */
    @Override
    public int updateEUserBalance(UserBalance eUserBalance)
    {
        return eUserBalanceMapper.updateEUserBalance(eUserBalance);
    }

    /**
     * 批量删除用户余额
     *
     * @param balanceIds 需要删除的用户余额主键
     * @return 结果
     */
    @Override
    public int deleteEUserBalanceByBalanceIds(Long[] balanceIds)
    {
        return eUserBalanceMapper.deleteEUserBalanceByBalanceIds(balanceIds);
    }

    /**
     * 删除用户余额信息
     *
     * @param balanceId 用户余额主键
     * @return 结果
     */
    @Override
    public int deleteEUserBalanceByBalanceId(Long balanceId)
    {
        return eUserBalanceMapper.deleteEUserBalanceByBalanceId(balanceId);
    }
}
